import { defHttp } from '@/utils/http/axios';
enum Api {
  // 公告
  LoadBidAnnouncement = '/api/BidAnnouncement/LoadBidAnnouncement',
  LoadBidAnnouncementById = '/api/BidAnnouncement/LoadBidAnnouncementById',
  AddBidAnnouncement = '/api/BidAnnouncement/AddBidAnnouncement',
  EditBidAnnouncement = '/api/BidAnnouncement/EditBidAnnouncement',
  DeleteBidAnnouncement = '/api/BidAnnouncement/DeleteBidAnnouncement',
  AddPpRegistration = '/api/BidAnnouncement/AddPpRegistration',
}
export function LoadBidAnnouncement(params) {
  return defHttp.get({
    url: Api.LoadBidAnnouncement,
    params,
  });
}
export function LoadBidAnnouncementById(params) {
  return defHttp.get({
    url: Api.LoadBidAnnouncementById,
    params,
  });
}
export function AddBidAnnouncement(params) {
  return defHttp.post({
    url: Api.AddBidAnnouncement,
    params,
  });
}
export function EditBidAnnouncement(params) {
  return defHttp.post({
    url: Api.EditBidAnnouncement,
    params,
  });
}
export function DeleteBidAnnouncement(id) {
  return defHttp.post({
    url: `${Api.DeleteBidAnnouncement}?id=${id}`,
  });
}